Moderator Control Panel ]

TBS6909 drivers , can't downgrade to v160219

It's important to keep your driver and software updated.

TBS6909 drivers , can't downgrade to v160219

Postby yvesr » Tue May 31, 2016 3:42 am

hello ,

I am trying to downgrade to version v160219

getting a lot of problems since update from v160219
signals goes up and down on all channels ,getting PES , PAT , PMT, error.

re-installed drivers older version but still report v160405.

using : http://www.tbsdtv.com/download/document ... 160219.zip

bzcat linux-tbs-drivers.tar.bz2 | tar xv
cd linux-tbs-drivers
find -type d -exec chmod 755 \{\} \;
find -type f | xargs chmod 644
find -name '*.sh' | xargs chmod 755
find -name '*.pl' | xargs chmod 755

rm -Rf /lib/modules/3.10.0-327.el7.x86_64/kernel/drivers/media
make clean
make distclean
./v4l/tbs-x86_64.sh

make -j5
make install
shutdown -r now

then after reboot dmesg | grep "TBS version"
I'm getting TBS version 160405

any idea ?

yves

version x64
CentOS Linux release 7.2.1511 (Core)
Cesbo Astra : 5.62rc9 x64
Drivers version : 160405
Monitoring : monit 5.14
Hardware : Moi Pro Amd
Tuners : TBS6909 octal tuners
yvesr
 
Posts: 5
Joined: Mon Mar 14, 2016 6:27 am

Re: TBS6909 drivers , can't downgrade to v160219

Postby stilmant » Tue May 31, 2016 5:51 pm

I'm installing driver under root (sudo su) like that no need of all the
find -type d -exec chmod 755 \{\} \;
find -type f | xargs chmod 644
find -name '*.sh' | xargs chmod 755
find -name '*.pl' | xargs chmod 755


you are doing rm -Rf /lib/modules/3.10.0-327.el7.x86_64/kernel/drivers/media

but is 3.10.0-327 your actual system version?

you are bzcat linux-tbs-drivers.tar.bz2 | tar xv in a fresh new folder right?

what is the usage of make clean than?
stilmant
 
Posts: 51
Joined: Fri Mar 01, 2013 3:21 pm
Location: Luxembourg

Re: TBS6909 drivers , can't downgrade to v160219

Postby yvesr » Thu Jun 02, 2016 8:17 am

hello ,

I maded a fresh install of centos 7 x64

I am currently testing new drivers from crazyCat

https://bitbucket.org/CrazyCat/media_build
wget https://bitbucket.org/CrazyCat/media_bu ... b80304.zip
unzip 108ba2b80304.zip
cd CrazyCat*

installation of this new drivers seem to be pretty simple.

Just call the build utility:
$ ./build

Then, install the drivers as root, with:
# make install

done a reboot after.

but for the moment ,no trace of the driver tbs6909fe

modprobe: FATAL: Module tbs6909fe not found.

what am I doing wrong ?

yves
yvesr
 
Posts: 5
Joined: Mon Mar 14, 2016 6:27 am

Re: TBS6909 drivers , can't downgrade to v160219

Postby yvesr » Fri Jun 03, 2016 7:23 am

hi ,

1. option select tbspcie in media pci adapter
done

Now I am getting error : Unknown symbol i2c_del_mux_adapter

seem to be relate to kernel I2C_MUX

yves
yvesr
 
Posts: 5
Joined: Mon Mar 14, 2016 6:27 am

Re: TBS6909 drivers , can't downgrade to v160219

Postby yvesr » Sun Jun 05, 2016 1:06 am

Kernel re-compiled with I2C_MUX=m

Drivers from CrazyCat installed .

Q1: new driver read tbs.conf for this option ? options tbs_pcie-dvb tbs6909_mode=1



Q2. someone has already test these new drivers on a TBS6909 tuner ?


still getting a lot of error BER99+

some transponders without any signals.


I have a Sat receiver on the same LNB and signal level : 100% , Quality 98% , all channels work well

so the problem is not from a bad lnb or adjustment

version x64
CentOS Linux release 7.2.1511 (Core)
Driver : CrazyCat latest
Cesbo Astra : 5.62rc9 x64
Hardware : Moi Pro Amd
Tuners : TBS6909 octal tuners
LNB : Dish Pro Quad

yves
yvesr
 
Posts: 5
Joined: Mon Mar 14, 2016 6:27 am

Re: TBS6909 drivers , can't downgrade to v160219

Postby steven » Mon Jun 06, 2016 11:29 am

Hi yvesr

For crayzcat driver have not the option config file yet,we are on testing too ,this month we will release a open source code.
please wait some time.

Thanks

Kind Regards

steven
steven
 
Posts: 2076
Joined: Fri Aug 06, 2010 3:23 pm

Re: TBS6909 drivers , can't downgrade to v160219

Postby tonygables » Fri Nov 18, 2016 1:41 pm

Hi Yves,

Did the open source drivers solve your problem?

I installed the latest open source drivers but TBS6909 works very unstable. Lots of "TS discontinuity" errors. If I lock to the same frequency using TBS6905 or TBS6910 no errors at all.

Then I switch back to closed source drivers v160219 and TBS6909 works fine.

OS: Ubuntu 16.04 (64 Bit)
Kernel: 4.4.0-42-generic
DVBlast 3.0
tonygables
 
Posts: 6
Joined: Thu Sep 22, 2011 1:48 pm


Return to Driver & Software Update

Who is online

Users browsing this forum: No registered users and 4 guests